//
//  ViewController.swift
//  12-swift分段选择
//
//  Created by apple on 2017/9/7.
//  Copyright © 2017年 HEJJY. All rights reserved.
//

import UIKit

class KJViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.title = "资讯"
        view.backgroundColor = UIColor.white
        
        // iOS7以后设置
        edgesForExtendedLayout = UIRectEdge(rawValue: 0)
        
        let titleArray = ["推荐", "营养养生", "小疾病", "女性", "两性", "育儿", "骨病", "用药", "皮肤", "耳鼻喉"]
        
        var childControllers : [UIViewController] = [UIViewController]()
        
        for i in 0..<titleArray.count {
            
            let controller = KJTestViewController()
            controller.titleName = titleArray[i]
            childControllers.append(controller)
            
        }
        
        let segmentVc = KJSegmentController()
        segmentVc.titleArray = titleArray
        segmentVc.childControllers = childControllers
        segmentVc.addToParentController(viewController:self)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

